Module | ActiveSupport::CoreExtensions::Array::Access
In: | lib/active_support/core_ext/array/access.rb

Makes it easier to access parts of an array.

### Methods

fifth forty_two fourth from second third to

### Public Instance methods

fifth()

Equal to `self[4]`.

forty_two()

Equal to `self[41]`. Also known as accessing "the reddit".

fourth()

Equal to `self[3]`.

from(position)

Returns the tail of the array from `position`.

      %w( a b c d ).from(0)  # => %w( a b c d )
      %w( a b c d ).from(2)  # => %w( c d )
      %w( a b c d ).from(10) # => nil
      %w().from(0)           # => nil

second()

Equal to `self[1]`.

third()

Equal to `self[2]`.

to(position)

Returns the beginning of the array up to `position`.

      %w( a b c d ).to(0)  # => %w( a )
      %w( a b c d ).to(2)  # => %w( a b c )
      %w( a b c d ).to(10) # => %w( a b c d )
      %w().to(0)           # => %w()

[Validate]